<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Auth;
use Hash;
use App\Models\atmodels\Airtime_customer;
use App\Models\atmodels\User;
class MyProfileController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $user=Auth::user();
          $usersd = Auth::user()->user_type;
        $shop_id=Auth::user()->shop_id;
          $customer_id=Auth::user()->userShopUser['customer_id'];
         // $airtimecustomeruser = Airtime_customer::where('company',$usersd)->where('customer_id',$customer_id)->get();

          $airtimecustomeruser = Airtime_customer::where('customer_id',$customer_id)->get();
        return view('myprofile',compact('user','airtimecustomeruser'));
    }
      public function createpass()
    {
        return Hash::make("serah@Wright1");
    
    }
}
